List of all members
clan::ImageProviderFactory Class Reference
clanDisplay Image Providers

Image Provider factory. More...

`#include <provider_factory.h>`

## Static Public Member Functions
Operations
static PixelBuffer | try_load (const std::string &filename, const std::string &type=std::string(), const FileSystem &fs=FileSystem(), std::string *out_failure_reason=nullptr, bool srgb=false)
| Attempts to load an image file from 'filename', using the provider identified by 'type'. More...
static PixelBuffer | load (const std::string &filename, const FileSystem &fs, const std::string &type=std::string(), bool srgb=false)
| Loads an image file from 'filename', using the provider. More...
static PixelBuffer | load (const std::string &fullname, const std::string &type=std::string(), bool srgb=false)
static PixelBuffer | load (IODevice &file, const std::string &type, bool srgb=false)
static void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs, const std::string &type=std::string())
| Saves the given PixelBuffer to the file given by 'filename'. More...
static void | save (PixelBuffer buffer, const std::string &fullname, const std::string &type=std::string())
static void | save (PixelBuffer buffer, IODevice &file, const std::string &type)

## Detailed Description

Image Provider factory.

The documentation for this class was generated from the following file:

- provider_factory.h